Setup Pootle server for Kubuntu Manual translation
Closed, WontfixPublic

Description

  • Get Sponsored VPS from Digital Ocean (DONE)
  • Make Docker image with Pootle
  • Setup a Docker container for Kubuntu
  • NOTES ****

Setup of the EXPERIMENTAL Pootle server for KDE translation

Server URL: exp-pootle.kde.org
Installation guide: http://docs.translatehouse.org/projects/pootle/en/stable-2.7.6/server/installation.html
Rewuirements: http://docs.translatehouse.org/projects/pootle/en/stable-2.7.6/server/requirements.html#requirements-packages
Tracking Task: https://phabricator.kde.org/T3650
Discussion on kde-i18n-doc: https://marc.info/?l=kde-i18n-doc&m=143561152919896&w=2

I haven't found yet a efficient way of cloning the SVN repository, https://notes.kde.org/p/PootleInstallationso I'll move to installing Pootle, and get back to this later.

Server info:

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 16.04.1 LTS
Release:        16.04
Codename:       xenial

I've set up a docker image, to ease the set-up of Pootle. This way I can retry with a fresh system when ever needed.
Docker recepie is available on git here: kde:scratch/obogdan/pootle-docker.git
https://quickgit.kde.org/?p=scratch%2Fobogdan%2Fpootle-docker.git

I've set up the image to have a pootle instance. I'm currently looking into setting the database

clivej created this task.Jan 18 2017, 11:16 PM
clivej moved this task from Inbox to Documentation on the Kubuntu board.
clivej triaged this task as Low priority.

Current status: Working on an official Pootle Docker image: https://github.com/translate/pootle/pull/5710

clivej removed a subscriber: clivej.Mar 18 2018, 11:12 PM

Where are we with this? If we are not working on it should be archived or closed.

obogdan closed this task as Wontfix.Aug 19 2018, 7:55 AM

After this year's Akademy I got motivation once more to work on this. I'll try to do a test Pootle server and keep track of the task here: https://phabricator.kde.org/T3650